## GVariant utilities GVariant utilities — some GVariant utility functions |

## Functions

GVariantClass | tp_variant_type_classify ()
GVariant * | tp_variant_convert ()

## Object Hierarchy

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

GVariant utility functions used in telepathy-glib.

## Functions

### tp_variant_type_classify ()

    GVariantClass
    tp_variant_type_classify (const GVariantType *type);

Classifies `type` according to its top-level type.

#### Parameters

type | a GVariantType |

#### Returns

the GVariantClass of `type`

Since 0.19.10

### tp_variant_convert ()

    GVariant *
    tp_variant_convert (GVariant *variant,
                        const GVariantType *type);

Convert the type of `variant` to `type` if possible. This takes ownership of `variant` . If no conversion is needed, simply return `variant` . If conversion is not possible, `NULL` is returned.

#### Parameters

variant | a GVariant to convert. | [transfer full]
type | a GVariantType `variant` must be converted to |

#### Returns

a new GVariant owned by the caller.

[transfer full]

Since 0.19.10

## Types and Values